import { HttpClient as BaseClient } from '../../api/HttpClient'
import MocksSchema, { MockConfigurationsRequest } from '../../api/Main/Schemas/MocksSchema'
import { SchemaInterface } from '@/api/SchemaInterface'
import { TokenRequestHandler } from '@/api/Handlers/TokenRequestHandler'
import AddMockSchema, { AddMockConfigurationsRequest } from '@/api/Main/Schemas/AddMockSchema'

export class HttpClient extends BaseClient {
  mockConfigurations (data: MockConfigurationsRequest): any {
    return this.send(MocksSchema as SchemaInterface, data)
  }

  addMockConfigurations (data: AddMockConfigurationsRequest): any {
    return this.send(AddMockSchema as SchemaInterface, data)
  }
}

export default new HttpClient('http://placetgroup.sipachev.sv')
  .addHandler(new TokenRequestHandler())
