import { Component, Prop, Vue } from 'vue-property-decorator'
import VueClipboard from 'vue-clipboard2'
import { Registers } from '@/classes/DTO/Registers'
import httpClient from '@/api/Main/HttpClient'
import { MockConfiguration } from '@/api/Main/Schemas/AddMockSchema'

Vue.use(VueClipboard)

@Component
export default class Mocks extends Vue {
  @Prop()
  personalCode!: string

  registers = new Registers()

  mounted () {
    console.log('mounted')
  }

  saveMocks () {
    const mockConfigurations: MockConfiguration[] = []
    for (const serviceCode in this.registers) {
      const mockConfiguration = new MockConfiguration()
      mockConfiguration.personalCode = this.personalCode
      mockConfiguration.code = serviceCode
      // @ts-ignore
      mockConfiguration.value = this.registers[serviceCode]
      if (!mockConfiguration.value) {
        continue
      }
      mockConfiguration.active = 'true'
      mockConfigurations.push(mockConfiguration)
    }
    httpClient.addMockConfigurations({ items: mockConfigurations })
      .then((data: any) => {
        console.log('saveMocks')
        console.log(data)
      })
  }
}
